org.apache.ignite.internal.visor.node

## Class VisorGridConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorGridConfiguration

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorGridConfiguration
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for node configuration data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridConfiguration()`

### Method Summary

Methods
`VisorAtomicConfiguration` `atomic()`
`VisorBasicConfiguration` `basic()`
`Map<String,String>` `env()`
`VisorExecutorServiceConfiguration` `executeService()`
`VisorGridConfiguration` `from(IgniteEx ignite)`
`Iterable<VisorIgfsConfiguration>` `igfss()`
`int[]` `includeEventTypes()`
`String` `includeProperties()`
`VisorLifecycleConfiguration` `lifecycle()`
`VisorMetricsConfiguration` `metrics()`
`VisorPeerToPeerConfiguration` `p2p()`
`VisorRestConfiguration` `rest()`
`VisorSegmentationConfiguration` `segmentation()`
`VisorSpisConfiguration` `spis()`
`Properties` `systemProperties()`
`String` `toString()`
`VisorTransactionConfiguration` `transaction()`
`Map<String,?>` `userAttributes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridConfiguration

    public VisorGridConfiguration()

### Method Detail

#### from

    public VisorGridConfiguration from(IgniteEx ignite)

Parameters:
  `ignite` - Grid.
Returns:
  Fill data transfer object with node configuration data.

#### basic

    public VisorBasicConfiguration basic()

Returns:
  Basic.

#### metrics

    public VisorMetricsConfiguration metrics()

Returns:
  Metrics.

#### spis

    public VisorSpisConfiguration spis()

Returns:
  SPIs.

#### p2p

    public VisorPeerToPeerConfiguration p2p()

Returns:
  P2P.

#### lifecycle

    public VisorLifecycleConfiguration lifecycle()

Returns:
  Lifecycle.

#### executeService

    public VisorExecutorServiceConfiguration executeService()

Returns:
  Executors service configuration.

#### segmentation

    public VisorSegmentationConfiguration segmentation()

Returns:
  Segmentation.

#### includeProperties

    public String includeProperties()

Returns:
  Include properties.

#### includeEventTypes

    public int[] includeEventTypes()

Returns:
  Include events types.

#### rest

    public VisorRestConfiguration rest()

Returns:
  Rest.

#### userAttributes

    public Map<String,?> userAttributes()

Returns:
  User attributes.

#### igfss

    public Iterable<VisorIgfsConfiguration> igfss()

Returns:
  Igfss.

#### env

    public Map<String,String> env()

Returns:
  Environment.

#### systemProperties

    public Properties systemProperties()

Returns:
  System properties.

#### atomic

    public VisorAtomicConfiguration atomic()

Returns:
  Configuration of atomic data structures.

#### transaction

    public VisorTransactionConfiguration transaction()

Returns:
  Transactions configuration.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016